
cd boot
# check if this is a running sytem update, or fresh install.....
# the config symlink will already be there if this is an already-installed system.
if [ ! -L config ]; then
	x="fresh"
fi
# Make the symlinks
( cd boot ; rm -rf config )
( cd boot ; ln -sf config-huge-6.6.17.x64 config )
( cd boot ; rm -rf System.map )
( cd boot ; ln -sf System.map-huge-6.6.17 System.map )
( cd boot ; rm -rf vmlinuz-huge )
( cd boot ; ln -sf vmlinuz-huge-6.6.17 vmlinuz-huge )
( cd boot ; rm -rf vmlinuz )
( cd boot ; ln -sf vmlinuz-huge-6.6.17 vmlinuz )

# bail out if this is a fresh install, 
# otherwise, make necessary changes to the running system
if [ -n "$x" ]; then
	exit 0
fi

if [ ! -d /sys/firmware/efi ]; then
	if [ -x /sbin/lilo ]; then
		/sbin/lilo 2>/dev/null&
	fi
	exit 0
fi
disk=`fdisk -l | grep EFI | awk '{print $1}'`
if [ -z $disk ]; then
	exit 0
fi
mount $disk /mnt
cd /mnt/EFI/boot
rm -rf vmlinuz*
rm -rf config*
rm -rf System*
cp /boot/config-huge-6.6.17 config-huge-6.6.17
cp /boot/config config
cp /boot/System.map-huge-6.6.17 System.map-huge-6.6.17
cp /boot/System.map System.map
cp /boot/vmlinuz-huge-6.6.17 vmlinuz-huge-6.6.17
cp /boot/vmlinuz-huge vmlinuz-huge
cp /boot/vmlinuz vmlinuz
umount /mnt
